net.corda.flows

## Class ContractUpgradeFlow.Acceptor

- FlowLogic
- - Acceptor
  - - net.corda.flows.ContractUpgradeFlow.Acceptor

- Enclosing class:
    ContractUpgradeFlow

      public static class ContractUpgradeFlow.Acceptor
      extends Acceptor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.flows.AbstractStateReplacementFlow.Acceptor

      `Acceptor.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.flows.AbstractStateReplacementFlow.Acceptor

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Acceptor(Party otherSide)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `verifyProposal(AbstractStateReplacementFlow.Proposal<? extends java.lang.Class<? extends net.corda.core.contracts.UpgradedContract<? super net.corda.core.contracts.ContractState,?>>> proposal)` Check the state change proposal to confirm that it's acceptable to this node. Rules for verification depend on the change proposed, and may further depend on the node itself (for example configuration). The proposal is returned if acceptable, otherwise a `exception StateReplacementException` is thrown.

    - ### Methods inherited from class net.corda.flows.AbstractStateReplacementFlow.Acceptor

      `call, getOtherSide, getProgressTracker, verifyProposal`

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Constructor Detail

    - #### Acceptor

          public Acceptor(Party otherSide)

  - ### Method Detail

    - #### verifyProposal

          public void verifyProposal(AbstractStateReplacementFlow.Proposal<? extends java.lang.Class<? extends net.corda.core.contracts.UpgradedContract<? super net.corda.core.contracts.ContractState,?>>> proposal)

      Check the state change proposal to confirm that it's acceptable to this node. Rules for verification depend on the change proposed, and may further depend on the node itself (for example configuration). The proposal is returned if acceptable, otherwise a `exception StateReplacementException` is thrown.

      See Also:
        `exception StateReplacementException`